#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

const double eps = 1e-5;
const double PI = 3.1415926535897932384;

class Vector2D
{
public:
	double x, y;
	Vector2D()
	{
		x = y = 0.;
	}
	Vector2D(double initX, double initY)
	{
		x = initX;
		y = initY;
	}
	Vector2D operator+(const Vector2D& addend)const
	{
		return Vector2D(x+addend.x, y+addend.y);
	}
	Vector2D operator-(const Vector2D& subtr)const
	{
		return Vector2D(x-subtr.x, y-subtr.y);
	}
	Vector2D Perp()const
	{
		return Vector2D(-y, x);
	}
	Vector2D operator*(double factor)
	{
		return Vector2D(x*factor, y*factor);
	}
};

int main()
{
#ifndef ONLINE_JUDGE
	freopen("input.txt", "rt", stdin);
	freopen("output.txt", "wt", stdout);
#endif

	long cCases, iCase;
	scanf("%ld", &cCases);
	Vector2D p1, p2, p3, v1, v2, p;
	for(iCase = 0; iCase < cCases; ++iCase)
	{
		scanf("%lf %lf %lf %lf %lf %lf", &p1.x, &p1.y, &p2.x, &p2.y, &p3.x, &p3.y);
		v1 = (p2 - p1).Perp();
		v2 = (p3 - p2).Perp();
		double A1 = v1.x;
		double B1 = -v2.x;
		double C1 = -((p1-p3)*0.5).x;

		double A2 = v1.y;
		double B2 = -v2.y;
		double C2 = -((p1-p3)*0.5).y;

		double d = A1*B2 - B1*A2;
		double dt = C1*B2 - B1*C2;


		double t = dt / d;


        p = (p1+p2)*0.5 +  v1*t;

		p1 = p1 - p;
		p2 = p2 - p;
		p3 = p3 - p;



		for (long nSides = 3; nSides <= 200; ++nSides)
		{
			double angle = 2.0*PI / nSides;

			double ang1 = atan2(p1.x, p1.y);
			double ang2 = atan2(p2.x, p2.y);
			double ang3 = atan2(p3.x, p3.y);

			double diff1 = fabs(ang2-ang1) / angle;
			double diff2 = fabs(ang3-ang2) / angle;

			if (fabs(diff1-floor(diff1+0.5)) < eps && fabs(diff2-floor(diff2+0.5)) < eps)
			{
				printf("%ld\n", nSides);
				break;
			}
		}
	}

#ifndef ONLINE_JUDGE
	fclose(stdin);
	fclose(stdout);
#endif
	return 0;
}